# $Id: perl-Net-Whois.spec 5984 2007-11-11 22:25:32Z dag $
# Authority: dries
# Upstream: Dana Hudes <dhudes$hudes,org>

%define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)

%define real_name Net-Whois

Summary: Get and parse whois domain data from InterNIC
Name: perl-Net-Whois
Version: 1.9
Release: 1.2.%{releasetagsuffix}
License: Artistic/GPL
Group: Applications/CPAN
URL: http://search.cpan.org/dist/Net-Whois/

Source: http://www.cpan.org/modules/by-module/Net/Net-Whois-%{version}.tar.gz
Packager: Dries Verachtert <dries@ulyssis.org>
Vendor: Dries RPM Repository http://dries.ulyssis.org/rpm/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch
BuildRequires: perl
BuildRequires: perl(ExtUtils::MakeMaker)

%description
This is a Perl 5 module that retrieves and parses information from the
'whois' databases. Currently, only domains .com, .edu, .net are supported.
Forthcoming versions will support .mil, .gov, .arpa, and eventually other
top-level domains. Additional classes to get POC/Handle, Host, and all the other
things stored in the ARIN and 'InterNIC' whois databases and eventually
the RIPE and others as well.

%prep
%setup -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install

### Clean up buildroot
find %{buildroot} -name .packlist -exec %{__rm} {} \;

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc README
%doc %{_mandir}/man3/*
%{perl_vendorlib}/Net/Whois.pm

%changelog
* Wed Mar 22 2006 Dries Verachtert <dries@ulyssis.org> - 1.9-1.2 #5984
- Rebuild for Fedora Core 5.

* Sat Apr  9 2005 Dries Verachtert <dries@ulyssis.org> - 1.9-1
- Initial package.
